=== linux/debian/control ===
Source: jamulus
Section: sound
Priority: optional
Maintainer: "The Jamulus Development Team" <team@jamulus.io>
Build-Depends:
 debhelper (>= 9),
 libjack-jackd2-dev,
 qtbase5-dev,
 qttools5-dev-tools,
Standards-Version: 3.9.7
Homepage: https://jamulus.io
Vcs-Git: git://github.com/jamulussoftware/jamulus.git
Vcs-Browser: https://github.com/jamulussoftware/jamulus

Package: jamulus
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Recommends: qjackctl
Description: Low latency Audio Server/Client
 Jamulus is for playing, rehearsing, or just jamming with your friends, your band
 or just anyone you find online. With high quality, low-latency sound on a normal
 broadband connection, it's easy to play together remotely and in time.
 There is one server running the Jamulus server software which
 collects the audio data from each Jamulus client, mixes the audio data and
 sends the mix back to each client.
 .
 It runs on all major operating systems.

Package: jamulus-headless
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 adduser,
Description: Low latency Audio Server (headless)
 This package contains a Jamulus binary built for headless operation
 (without GUI library dependencies) and a jamulus-headless systemd service.
 Jamulus is for playing, rehearsing, or just jamming with your friends, your band
 or just anyone you find online. With high quality, low-latency sound on a normal
 broadband connection, it's easy to play together remotely and in time.
 There is one server running the Jamulus server software which
 collects the audio data from each Jamulus client, mixes the audio data and
 sends the mix back to each client.
 .
 It runs on all major operating systems.
 .
